import Flutter
import UIKit
import CoreMotion
public class SwiftBarometer2Plugin: NSObject, FlutterPlugin {
    let altimeter = CMAltimeter()
    var barometerREading:NSNumber = 0.0
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "barometer2", binaryMessenger: registrar.messenger())
    let instance = SwiftBarometer2Plugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

    private func getReading() {
        if CMAltimeter.isRelativeAltitudeAvailable() {

            self.altimeter.startRelativeAltitudeUpdates(to: OperationQueue.main, withHandler: { (altitudeData:CMAltitudeData?, error:Error?) in
                          
                if(altitudeData != nil) {
                    self.barometerREading = altitudeData?.pressure ?? 0.0
                }

            })
        }
       
    }
  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      if(call.method.elementsEqual("getPlatformVersion")) {
          result("iOS " + UIDevice.current.systemVersion)
      }else if(call.method.elementsEqual("getReading")) {
          getReading();
          result(barometerREading)
      }

  }
}
