import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'barometer2_platform_interface.dart';

/// An implementation of [Barometer2Platform] that uses method channels.
class MethodChannelBarometer2 extends Barometer2Platform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('barometer2');

  @override
  Future<String?> getPlatformVersion() async {
    final version =
        await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }

  @override
  Future<double?> getReading() async {
    final reading = await methodChannel.invokeMethod<double>('getReading');
    return reading;
  }
}
