import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'barometer2_method_channel.dart';

abstract class Barometer2Platform extends PlatformInterface {
  /// Constructs a Barometer2Platform.
  Barometer2Platform() : super(token: _token);

  static final Object _token = Object();

  static Barometer2Platform _instance = MethodChannelBarometer2();

  /// The default instance of [Barometer2Platform] to use.
  ///
  /// Defaults to [MethodChannelBarometer2].
  static Barometer2Platform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [Barometer2Platform] when
  /// they register themselves.
  static set instance(Barometer2Platform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<double?> getReading() {
    throw UnimplementedError('getReading() has not been implemented.');
  }
}
