import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:barometer2/barometer2_method_channel.dart';

void main() {
  MethodChannelBarometer2 platform = MethodChannelBarometer2();
  const MethodChannel channel = MethodChannel('barometer2');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
