import 'package:flutter_test/flutter_test.dart';
import 'package:barometer2/barometer2.dart';
import 'package:barometer2/barometer2_platform_interface.dart';
import 'package:barometer2/barometer2_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockBarometer2Platform 
    with MockPlatformInterfaceMixin
    implements Barometer2Platform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final Barometer2Platform initialPlatform = Barometer2Platform.instance;

  test('$MethodChannelBarometer2 is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelBarometer2>());
  });

  test('getPlatformVersion', () async {
    Barometer2 barometer2Plugin = Barometer2();
    MockBarometer2Platform fakePlatform = MockBarometer2Platform();
    Barometer2Platform.instance = fakePlatform;
  
    expect(await barometer2Plugin.getPlatformVersion(), '42');
  });
}
